import java.util.Collection;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class Main {
public static void main(String[] a) throws Exception {
    JPAUtil util = new JPAUtil();

    EntityManagerFactory emf = Persistence.createEntityManagerFactory("ProfessorService");
    EntityManager em = emf.createEntityManager();
    ProfessorService service = new ProfessorService(em);

    em.getTransaction().begin();

    Professor emp = service.createProfessor("name",100);
    Project proj = service.createProject("proj name");
    
    service.assignProfessorToProject(emp.getId(),proj.getId());
for (Object o : service.findAllProfessors()) {
System.out.println(o );
}
for (Object o : service.findAllProjects()) {
  System.out.println(o);
}



    util.checkData("select * from Professor");

    util.checkData("select * from Project");
    
    util.checkData("select * from Professor_Project");
    em.getTransaction().commit();
    em.close();
    emf.close();
  }}